unbound: Data Fields

unbound 0.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- d : packed_rrset, tap_data_list
- daemon : replay_runtime, worker
- data : auth_chunk, auth_rrset, auth_zone, clientip_synthesized_rr, local_zone, lruhash_entry, pythonmod_env, pythonmod_qstate, regional, resp_addr, slabhash_testdata, ta_key, tap_socket, ub_result
- data_done : tap_data
- data_list : tap_data, tap_socket
- date : xml_data
- date_override : val_env
- dclass : auth_xfer, auth_zone, iter_forward_zone, local_zone, name_tree_node, trust_anchor, val_neg_zone
- default_ttl : sldns_file_parse_state
- deinit : cachedb_backend, module_func_block
- del : ub_event_vmt
- del_bits : ub_event_vmt
- del_holddown : config_file
- del_signal : ub_event_vmt
- del_timer : ub_event_vmt
- delay_close : config_file
- delay_tv : outside_network
- delayclose : outside_network
- deldatafunc : lruhash
- deleg_msg : iter_qstate
- delete_next : auth_zone
- delfunc : addrtree
- delkeyfunc : lruhash
- deny_any : config_file
- depth : iter_qstate
- dest : perfinfo
- destartup : module_func_block
- destlen : perfinfo
- detach_subs : module_env
- detect_cycle : module_env
- dfs_next : order_lock
- dict : pythonmod_env
- directory : config_file
- disable_dnssec_lame_check : config_file
- disable_edns_do : config_file
- discard_timeout : config_file
- dispatch : ub_event_base_vmt
- dname : compress_tree_node, ecs_whitelist, nsec3_cached_hash, packed_rrset_key, rrset_parse
- dname_len : nsec3_cached_hash, packed_rrset_key, rrset_parse
- dns64_ignore_aaaa : config_file
- dnscrypt : config_file
- dnscrypt_nonce_cache_size : config_file
- dnscrypt_nonce_cache_slabs : config_file
- dnscrypt_port : config_file
- dnscrypt_provider : config_file
- dnscrypt_provider_cert : config_file
- dnscrypt_provider_cert_rotated : config_file
- dnscrypt_secret_key : config_file
- dnscrypt_shared_secret_cache_size : config_file
- dnscrypt_shared_secret_cache_slabs : config_file
- dnskey_rrset : trust_anchor
- dnssec : serviced_query
- dnssec_expected : iter_qstate
- dnssec_lame_query : iter_qstate
- dnsseclame : delegpt_addr
- dnstap : config_file
- dnstap_bidirectional : config_file
- dnstap_identity : config_file
- dnstap_ip : config_file
- dnstap_log_client_query_messages : config_file
- dnstap_log_client_response_messages : config_file
- dnstap_log_forwarder_query_messages : config_file
- dnstap_log_forwarder_response_messages : config_file
- dnstap_log_resolver_query_messages : config_file
- dnstap_log_resolver_response_messages : config_file
- dnstap_sample_rate : config_file
- dnstap_send_identity : config_file
- dnstap_send_version : config_file
- dnstap_socket_path : config_file
- dnstap_tls : config_file
- dnstap_tls_cert_bundle : config_file
- dnstap_tls_client_cert_file : config_file
- dnstap_tls_client_key_file : config_file
- dnstap_tls_server_name : config_file
- dnstap_version : config_file
- do_answer_cookie : config_file
- do_daemonize : config_file
- do_ip4 : config_file
- do_ip6 : config_file
- do_nat64 : config_file
- do_not_close : comm_point
- do_tcp : config_file
- do_tcp_keepalive : config_file
- do_udp : config_file, outside_network
- domain_insecure : config_file
- domain_limits : infra_cache
- domain_rates : infra_cache
- done : tcp_send_list
- done_pside4 : delegpt_ns
- done_pside6 : delegpt_ns
- done_req_list : tcp_req_info
- donotq : iter_env
- donotquery_localhost : config_file
- donotqueryaddrs : config_file
- dothread : ub_ctx
- dp : iter_forward_zone, iter_hints_stub, iter_qstate
- dp_target_count : iter_qstate
- dp_type_mlc : delegpt
- ds : xml_data
- ds_rrset : trust_anchor, val_qstate
- dsns_point : iter_qstate
- dsns_point_len : iter_qstate
- dtenv : comm_point
- dtio : dt_msg_queue, stop_flush_info
- duration : perfinfo
- dyn_env : dynlibmod_env
- dynamic_library : dynlibmod_env
- dynlib_file : config_file